// Primalitatea unui numar natural
#include <iostream>
using namespace std;

// returneaza true daca n este prim
bool EstePrim(int n); // prototipul functiei

int main()
{
	int x;
	cin >> x; // 7
	
	if (EstePrim(x))
		cout << x << " este prim";
	else
		cout << x << " nu este prim";
	
	return 0;
}

// n = 97    sqrt(n) 
// 3   5   7   9    10  11  12 13 14 ....... 86

bool EstePrim(int n) // O(sqrt(n))
{
	// cazuri particulare
	if (n < 2)  return false;
		
	if (n == 2)	return true;
		
	if (n % 2 == 0)   // daca n este par, dar nu 2
		return false;
	
	// daca se ajunge aici suntem siguri ca n este impar
	for (int d = 3; d * d <= n; d += 2)
		if (n % d == 0)
			return false;
	
	return true;
}
