// Primalitatea unui numar natural
#include <iostream>
using namespace std;

bool EstePrim(int n); // prototipul functiei

int main()
{
	int x;
	cin >> x;
	
	if (EstePrim(x))
		cout << x << " este prim";
	else
		cout << x << " nu este prim";
	
}

bool EstePrim(int n) 
{
	// cazuri particulare
	if (n < 2)
		return false;
	
	if (n == 2) 
		return true;
	
	for (int d = 3; d < n; ++d)  // O(n) = complexitate liniara
		if (n % d == 0)   // daca am gasit un divizor
			return false; // atunci n nu este prim
	
	return true; // daca s- aajuns aici, atunci n este prim
}
